/*
 * EditorGui.java
 * 5A Enseignement génie logiciel - Polytech
 * Université d'Angers 
 */
package singleton;
import singleton.Stock;

import javax.swing.JFrame;
import javax.swing.JTextField;
import java.awt.event.*;

public class EditorGui implements ActionListener {
	
	// Constructeur
	public EditorGui(Stock _stock)
    {
	m_stock = _stock;
        JFrame frame = new JFrame("Editor");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        m_ctrl = new JTextField (20);
        m_ctrl.addActionListener(this);

        frame.add(m_ctrl);
        frame.pack();
        frame.setVisible(true);
    }
	// Traite la saisie d'un mot
	public void actionPerformed(ActionEvent e)
    {
	// Réagit à une modification TextField
	m_stock.addString(m_ctrl.getText());
	m_stock.display();
	
	// Reinitialise TextField
    	m_ctrl.setText("");
    };
    
	private JTextField m_ctrl;
	private Stock m_stock;

}
